#include <stdio.h>
#include <windows.h>


void test(int size)
{
    char buffer[1024];
    char* p;
    int i;
    int rc;

    memset(buffer,'x',sizeof(buffer)-1);
    buffer[sizeof(buffer)-1]='\0';
    SetLastError(0);
    printf("size=%d\n",size);
    rc=GetPrivateProfileSectionNames(buffer,size,"./profile.txt");
    printf("  rc=%d error=%d\n",rc,GetLastError());

    printf(" ");
    for (i=0;i<size;i++)
        printf(" %2x",buffer[i]);
    printf(" | %2x\n",buffer[size]);

    p = buffer;
    while (*p!='\0')
    {
        printf("  \"%s\"\n",p);
        p+=strlen(p)+1;
    }
}

int main()
{
    test(0);
    test(1);
    test(2);
    test(5);
    test(9);
    test(10);
    test(12);
    test(13);
    test(14);
    test(15);
    test(16);
    return 0;
}
